edu.whs.spin2018.baoapp.model

## Class Benutzer

- java.lang.Object
- - edu.whs.spin2018.baoapp.model.Benutzer

-     public class Benutzer
      extends java.lang.Object

  Modelliert einen Benutzer.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DATEN_SEPERATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Benutzer(java.lang.String benutzername, java.lang.String id)` Erstellt ein neues Objekt der Benutzer Klasse

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `gibBenutzernamen()` Liefert den Nickname des Benutzers
    `java.lang.String` | `gibUUID()` Liefert die ID des Benutzers
    `java.lang.String` | `toString()`
    `static Benutzer` | `vonString(java.lang.String benutzerAlsString)` Baut einen Benutzer aus einem String zusammen.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DATEN_SEPERATOR

          public static final java.lang.String DATEN_SEPERATOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Benutzer

          public Benutzer(java.lang.String benutzername,
                          java.lang.String id)

      Erstellt ein neues Objekt der Benutzer Klasse
      Parameters:
        `benutzername` - Nickname des Benutzers
        `id` - ID des Benutzers

  - ### Method Detail

    - #### vonString

          public static Benutzer vonString(java.lang.String benutzerAlsString)

      Baut einen Benutzer aus einem String zusammen.
      Parameters:
        `benutzerAlsString` - - String mit den Benutzerdaten
      Returns:
        Benutzer Objekt aus dem String

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### gibUUID

          public java.lang.String gibUUID()

      Liefert die ID des Benutzers
      Returns:
        ID des Benutzers

    - #### gibBenutzernamen

          public java.lang.String gibBenutzernamen()

      Liefert den Nickname des Benutzers
      Returns:
        Nickname des Benutzers

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`